Skip to content

Set point buffer size​

GET
/devices/{id}/queueRtkCmd_SetPointBufferSize

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

maxPoints*

min=1, max=1000(default). 250 recommended for poor network areas. Settings are not persisted across reboots, so you may want to queue cmd always when receiving "connected" event for a device

Type
number
Required
Format
""

Request example

Responses​

Body (JSON)

application/json
JSON
{
  
"deviceId": 0,
  
"messageId": 0,
  
"commandType": 0,
  
"created": "string",
  
"sent": "string",
  
"receivedAck": "string",
  
"payload": "string",
  
"response": "string",
  
"id": 0
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value